summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAron Griffis <agriffis@gentoo.org>2004-08-03 19:48:13 +0000
committerAron Griffis <agriffis@gentoo.org>2004-08-03 19:48:13 +0000
commitca70127b552200602e6e26842751980382d0eedf (patch)
treebd2d74c168d9bb1bf3b7adb0d75e9470888e8a08 /eclass/ruby.eclass
parentMark stable on x86, change herd to kde-themes. (diff)
downloadhistorical-ca70127b552200602e6e26842751980382d0eedf.tar.gz
historical-ca70127b552200602e6e26842751980382d0eedf.tar.bz2
historical-ca70127b552200602e6e26842751980382d0eedf.zip
fix use invocation
Diffstat (limited to 'eclass/ruby.eclass')
-rw-r--r--eclass/ruby.eclass5
1 files changed, 3 insertions, 2 deletions
diff --git a/eclass/ruby.eclass b/eclass/ruby.eclass
index e50dc30884a2..1a2a9e737679 100644
--- a/eclass/ruby.eclass
+++ b/eclass/ruby.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2004 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/ruby.eclass,v 1.37 2004/07/19 16:21:12 usata Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/ruby.eclass,v 1.38 2004/08/03 19:48:13 agriffis Exp $
#
# Author: Mamoru KOMACHI <usata@gentoo.org>
#
@@ -189,7 +189,8 @@ prepall() {
local ruby_slots=$(echo "${USE_RUBY}" | wc -w)
- if [ "$ruby_slots" -ge 2 -o $(use macos) -a "$ruby_slots" -ge 1 ] ; then
+ if [ "$ruby_slots" -ge 2 ] || ( use macos && [ "$ruby_slots" -ge 1 ] )
+ then
einfo "Now we are building the package for ${USE_RUBY}"
for rb in ${USE_RUBY} ruby ; do
einfo "Using $rb"